#include <GDIPlus.au3>
#include <GuiConstantsEx.au3>
#include <GUIConstants.au3>
Opt("WinSearchChildren", 1)
Opt("wintitlematchmode", 3)

$CwiG = "CwiG"
if WinExists($CwiG) then Exit
   AutoItWinSetTitle($CwiG)
   
; ===============================================================================================================================
; Global constants
; ===============================================================================================================================

Global Const $AC_SRC_ALPHA      = 1
Global Const $ULW_ALPHA         = 2

; ===============================================================================================================================
; Global variables
; ===============================================================================================================================
Global $hGUI1, $hGUI2, $iLabel1, $iLabel2, $iSlider, $hImage

$PuLft = -350 ;y pos
$PuTop = 73 ;x pos

$hGUI2 = GUICreate("Menu", 350, 350, $PuLft, $PuTop,$WS_POPUP, $WS_EX_LAYERED + $WS_EX_TOPMOST, $hGUI1)

_GDIPlus_Startup()
$hImage = _GDIPlus_ImageLoadFromFile("float_menu.png")
SetBitMap($hGUI2, $hImage, 255)

$Btn1 = GUICtrlCreateButton("zoomin",10 ,0 ,450 , 67);1
$Btn2 = GUICtrlCreateButton("zoomout",10 ,73 ,450 , 67, $BS_BITMAP);2
$Btn3 = GUICtrlCreateButton("3d/2d",10 ,143 ,450 , 67, $BS_BITMAP);3
$Btn4 = GUICtrlCreateButton("home",10 ,219 ,450 , 62, $BS_BITMAP);4
$Btn5 = GUICtrlCreateButton("Address",10 ,293 ,450 , 62, $BS_BITMAP);5
$Btn6 = GUICtrlCreateButton("cancel",10 ,359 ,450 , 62, $BS_BITMAP);6
$Btn7 = GUICtrlCreateButton("Fav",10 ,428 ,450 , 37, $BS_BITMAP);7
GUISetState(@SW_SHOW, $hGUI2)

	$on1 = GUICreate("btn1", 350, 350, $PuLft, $PuTop,$WS_POPUP, $WS_EX_LAYERED + $WS_EX_TOPMOST, $hGUI1)
    $img1 = _GDIPlus_ImageLoadFromFile("btn1.png")
	SetBitMap($on1, $img1, 155)
	GUISetState(@SW_HIDE, $on1)
	
While 1
  $msg = GUIGetMsg()
  
  Select
	Case $msg = $Btn1
         _pressed($on1)		
	     _ZoomIn()
    Case $msg = $Btn2
         _ZoomOut()
    Case $msg = $Btn3
	     _3D_2D()
    Case $msg = $Btn4
	     _Home()
    Case $msg = $Btn5
         _Address()
    Case $msg = $Btn6
         _Cancel()
    Case  $msg = $Btn7
		 _Fav()	  
  EndSelect
WEnd

; Release resources
_GDIPlus_ImageDispose($hImage)
	_GDIPlus_ImageDispose($img1)
_GDIPlus_Shutdown()

;=========================================================================================================
;        Buttons
;=========================================================================================================

Func _ZoomIn();1
		WinActivate("iGuidance")
	Send("{up}")
EndFunc

;=========================================================================================================

Func _ZoomOut();2
		WinActivate ("iGuidance")
	Send("{down}")
EndFunc

;=========================================================================================================

Func _3D_2D();3
		WinActivate ("iGuidance")
	Send("3")
EndFunc

;==========================================================================================================

Func _Home();4
Sleep(50)
WinActivate ("iGuidance")
Sleep(50)
Send("{ENTER}")
Sleep(50)
ControlFocus ( "", "shortcuts", 906 )
Sleep(50)
ControlClick ( "", "", 906 )
Sleep(150)
ControlFocus ( "", "go home", 911 )
Sleep(50)
ControlClick ( "", "", 911)
EndFunc 

;==========================================================================================================

Func _Address();5
Sleep(50)
WinMenuSelectItem("iGuidance","" ,"&File" ,"&Enter Destination")
Sleep(50)
ControlFocus ( "", "Address", 500 )
Sleep(50)
ControlClick ( "", "Address", 500 )
EndFunc

;==========================================================================================================

Func _Cancel();6
Sleep(50)
WinMenuSelectItem("iGuidance","" ,"&File" ,"&Cancel Route")
EndFunc

;==========================================================================================================

Func _Fav();7
Sleep(50)
;WinMenuSelectItem("iGuidance","" ,"&File" ,"&Enter Destination")

WinActivate ("iGuidance")
Send("{enter}")

;Sleep(100)
;ControlFocus ( "", "Favorites", 501 )
;Sleep(100)
;ControlClick ( "", "Favorites", 501 )
EndFunc

;===========================================================================================================
;picture that will hide those ugly popups, (menus)
;===========================================================================================================

Func _Hide_menu()
GuiCreate("wait", 645, 485, -1, 78,$WS_POPUP,$WS_EX_TOPMOST)
$wait = GuiCtrlCreatePic("147.bmp", 0, 0, 645, 485)
GuiSetState(@SW_SHOW)
EndFunc

;===========================================================================================================
;on state
;===========================================================================================================

Func _Pressed($button)
	GUISetState(@SW_SHOW, $button)
	Sleep(140)
	GUISetState(@SW_HIDE, $button)
EndFunc

; ==========================================================================================================
; SetBitMap
; ==========================================================================================================
Func SetBitmap($hGUI, $hImage, $iOpacity)
  Local $hScrDC, $hMemDC, $hBitmap, $hOld, $pSize, $tSize, $pSource, $tSource, $pBlend, $tBlend

  ;$hScrDC  = _WinAPI_GetDC(0)
  $hMemDC  = _WinAPI_CreateCompatibleDC($hScrDC)
  $hBitmap = _GDIPlus_BitmapCreateHBITMAPFromBitmap($hImage)
  $hOld    = _WinAPI_SelectObject($hMemDC, $hBitmap)
  $tSize   = DllStructCreate($tagSIZE)
  $pSize   = DllStructGetPtr($tSize  )
  DllStructSetData($tSize, "X", _GDIPlus_ImageGetWidth ($hImage))
  DllStructSetData($tSize, "Y", _GDIPlus_ImageGetHeight($hImage))
  $tSource = DllStructCreate($tagPOINT)
  $pSource = DllStructGetPtr($tSource)
  $tBlend  = DllStructCreate($tagBLENDFUNCTION)
  $pBlend  = DllStructGetPtr($tBlend)
  DllStructSetData($tBlend, "Alpha" , $iOpacity    )
  DllStructSetData($tBlend, "Format", $AC_SRC_ALPHA)
  _WinAPI_UpdateLayeredWindow($hGUI, $hScrDC, 0, $pSize, $hMemDC, $pSource, 0, $pBlend, $ULW_ALPHA)
  _WinAPI_ReleaseDC   (0, $hScrDC)
  _WinAPI_SelectObject($hMemDC, $hOld)
  _WinAPI_DeleteObject($hBitmap)
  _WinAPI_DeleteDC    ($hMemDC)
EndFunc